Print this page
code review
Split |
Close |
Expand all |
Collapse all |
--- old/usr/src/test/elf-tests/tests/linker-sets/in-use-check.sh
+++ new/usr/src/test/elf-tests/tests/linker-sets/in-use-check.sh
1 1 #!/usr/bin/ksh
2 2 #
3 3 # This file and its contents are supplied under the terms of the
4 4 # Common Development and Distribution License ("CDDL"), version 1.0.
5 5 # You may only use this file in accordance with the terms of version
6 6 # 1.0 of the CDDL.
↓ open down ↓ |
6 lines elided |
↑ open up ↑ |
7 7 #
8 8 # A full copy of the text of the CDDL should have accompanied this
9 9 # source. A copy of the CDDL is also available via the Internet at
10 10 # http://www.illumos.org/license/CDDL.
11 11 #
12 12
13 13 #
14 14 # Copyright 2018, Richard Lowe.
15 15 #
16 16
17 -# Test that a simple use of linker-sets, tat is, automatically generated start
18 -# and end symbols for sections can be generated and used.
17 +# Test that existing definitions of the start/stop symbols are reported
18 +# as conflicting with internal symbols.
19 19
20 20 tmpdir=/tmp/test.$$
21 21 mkdir $tmpdir
22 22 cd $tmpdir
23 23
24 24 cleanup() {
25 25 cd /
26 26 rm -fr $tmpdir
27 27 }
28 28
29 29 trap 'cleanup' EXIT
30 30
31 31 cat > broken.c <<EOF
32 32 void *__start_text;
33 33
34 34 int
35 35 main()
36 36 {
37 37 return (0);
38 38 }
39 39 EOF
40 40
41 41 # We expect any alternate linker to be in LD_ALTEXEC for us already
42 42 gcc -o broken broken.c -Wall -Wextra -Wl,-zfatal-warnings > in-use.$$.out 2>&1
43 43 if (( $? == 0 )); then
44 44 print -u2 "use of a reserved symbol didn't fail"
45 45 exit 1;
46 46 fi
47 47
48 48 grep -q "^ld: warning: reserved symbol '__start_text' already defined in file" in-use.$$.out
49 49 if (( $? != 0 )); then
50 50 print -u2 "use of a reserved symbol failed for the wrong reason"
51 51 exit 1;
52 52 fi
↓ open down ↓ |
24 lines elided |
↑ open up ↑ |
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX